<?php 

/*
$translation_array = array('ܐ'=>"ʾ",'ܒ'=>"b",'ܓ'=>"g",'ܕ'=>"d",'ܗ'=>"h",'ܘ'=>"w",'ܙ'=>"z",'ܚ'=>"h",'ܛ'=>"t",'ܝ'=>"y",'ܟ'=>"k",'ܠ'=>"l",'ܡ'=>"m",'ܢ'=>"n",'ܤ'=>"s",'ܥ'=>"ʿ",'ܦ'=>"p",'ܨ'=>"ṣ",'ܩ'=>"q",'ܪ'=>"r",'ܫ'=>"š",'ܬ'=>"t");
echo $translation_array['ܐ'];
echo $translation_array['ܒ'];
echo $translation_array['ܦ'];
exit;
*/
?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Syriac Translator</title>

    <!-- Bootstrap -->
    <link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <style type="text/css">
    	body{
    		font-family: "Segoe UI";
    	}
    	#logo{
    		margin: 0px auto;
    		margin-top: 20px;
    	}
    	#tabs
    	{
    		margin-top: 5em;
    	}
    	.nav-pills > li {
		    float:none;
		    display:inline-block;
		    zoom:1;
		    font-size: 20px;
		}

		.nav-pills {
		    text-align:center;
		}
		.tab-content{
			margin-top: 1em;
		}
		#name_check_result{
			display: none;
		    font-size: 18px;
		    line-height: 1.3333333;
		    border-radius: 6px;
		    color: #555;
		    background-color: #fff;
		    background-image: none;
		    border: 1px solid #ccc;
		    margin-top: 50px;
		}
		/*
		#name_check_result strong{
			font-size: 20px;
		    padding: 5px;
		    border: 2px dashed #ccc;
		    border-radius: 10px;
		    margin: 10px;
		    display: inline-block;
		}
		*/
		#name_set_loader{
			width: 240px;
		    height: 240px;
		    margin: 0px auto;
		    display: none;
		}
		textarea {
		  resize: vertical;
		  overflow-y: scroll;
		}

    </style>
  </head>
  <body>
  	<div class="container">
  		<div class="row">
	    	<div class="col-sm-12">
		      	<form action="translation.php" id="translation_form">
		      		<div class="row">
						<div style="margin-top: 20px;" class="col-sm-offset-3 col-sm-6 form-group">
							<label for="syriac_text">Insert Syriac text</label>
							<textarea rows="5" name="syriac_text" class="form-control input-lg" dir="rtl"></textarea>
						</div>
					</div>
					<div class="row">
						<div class="col-sm-offset-3 col-sm-6">
							<button style="margin: 0px auto;display: inherit;margin-top: 5px;" type="submit" class="btn btn-default">Transcribe</button>
						</div>
					</div>
				</form>
				<div class="row">
					<div class="col-sm-offset-3 col-sm-6">
						<img src="images/loading.gif" id="name_set_loader">
					</div>
					<div class="col-sm-offset-3 col-sm-6"  id="name_check_result">
						
					</div>
				</div>
			</div>
	    </div>
	</div>
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="bootstrap/js/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="bootstrap/js/bootstrap.min.js"></script>
    <script type="text/javascript">
    	$(document).ready(function(e){
    		$("#translation_form").submit(function(e) {
			    e.preventDefault(); // avoid to execute the actual submit of the form.
			    var form = $(this);
			    var url = form.attr('action');
			    $('#name_check_result').css({'display':'none'});
			    $('#name_check_result').html('');
			    $('#name_set_loader').css({'display':'block'});
			    $.ajax({
			           type: "POST",
			           url: url,
			           data: form.serialize(), // serializes the form's elements.
			           success: function(data)
			           {
			               $('#name_check_result').html(data); // show response from the php script.
			               $('#name_check_result').css({'display':'block'});
			               $('#name_set_loader').css({'display':'none'});
			           }
			         });
			});
			
			
    	})
    </script>

  </body>
</html>